# Class: YARD::CLI::YardocOptions

Inherits:
  Templates::TemplateOptions
  - Object
  - Options
  - Templates::TemplateOptions
  - YARD::CLI::YardocOptions
  show all

Defined in:
  lib/yard/cli/yardoc.rb

## Overview

Default options used in `yard doc` command.

## Direct Known Subclasses

Server::Commands::LibraryIndexOptions, Server::Commands::LibraryOptions

## Instance Attribute Summary collapse

- #file ⇒ CodeObjects::ExtraFileObject

  The file object being rendered.

- #index ⇒ Numeric

  An index value for rendering sequentially related templates.

- #item ⇒ CodeObjects::Base

  An extra item to send to a template that is not the main rendered object.

- #locale ⇒ String

  The current locale.

- #objects ⇒ Array<CodeObjects::Base>

  The list of code objects to render the templates with.

- #readme ⇒ CodeObjects::ExtraFileObject

  The README file object rendered along with objects.

## Instance Method Summary collapse

- #files ⇒ Array<CodeObjects::ExtraFileObject>

  The list of extra files rendered along with objects.

- #format ⇒ Symbol

  The default output format (:html).

- #onefile ⇒ Boolean

  Whether the data should be rendered in a single page, if the template supports it.

- #serializer ⇒ Serializers::Base

  The default serializer for generating output to disk.

- #title ⇒ String

  The default title appended to each generated page.

- #verifier ⇒ Verifier

  The default verifier object to filter queries.

## Dynamic Method Handling

This class handles dynamic methods through the `method_missing` method in the class YARD::Options

## Instance Attribute Details

### #file ⇒ `CodeObjects::ExtraFileObject`

Returns the file object being rendered. The `object` key is not used so that a file may be rendered in the context of an object’s namespace (for generating links).

Returns:

- (`CodeObjects::ExtraFileObject`) —

  the file object being rendered. The `object` key is not used so that a file may be rendered in the context of an object’s namespace (for generating links).

    48
    49
    50

    # File 'lib/yard/cli/yardoc.rb', line 48

    def file
      @file
    end

### #index ⇒ `Numeric`

Returns An index value for rendering sequentially related templates.

Returns:

- (`Numeric`) —

  An index value for rendering sequentially related templates

    39
    40
    41

    # File 'lib/yard/cli/yardoc.rb', line 39

    def index
      @index
    end

### #item ⇒ `CodeObjects::Base`

Returns an extra item to send to a template that is not the main rendered object.

Returns:

- (`CodeObjects::Base`) —

  an extra item to send to a template that is not the main rendered object

    43
    44
    45

    # File 'lib/yard/cli/yardoc.rb', line 43

    def item
      @item
    end

### #locale ⇒ `String`

Returns the current locale.

Returns:

- (`String`) —

  the current locale

    51
    52
    53

    # File 'lib/yard/cli/yardoc.rb', line 51

    def locale
      @locale
    end

### #objects ⇒ `Array<CodeObjects::Base>`

Returns the list of code objects to render the templates with.

Returns:

- (`Array<CodeObjects::Base>`) —

  the list of code objects to render the templates with.

    36
    37
    38

    # File 'lib/yard/cli/yardoc.rb', line 36

    def objects
      @objects
    end

### #readme ⇒ `CodeObjects::ExtraFileObject`

Returns the README file object rendered along with objects.

Returns:

- (`CodeObjects::ExtraFileObject`) —

  the README file object rendered along with objects

    32
    33
    34

    # File 'lib/yard/cli/yardoc.rb', line 32

    def readme
      @readme
    end

## Instance Method Details

### #files ⇒ `Array<CodeObjects::ExtraFileObject>`

Returns the list of extra files rendered along with objects.

Returns:

- (`Array<CodeObjects::ExtraFileObject>`) —

  the list of extra files rendered along with objects

    11

    # File 'lib/yard/cli/yardoc.rb', line 11

    default_attr :files, lambda { [] }

### #format ⇒ `Symbol`

Returns the default output format (:html).

Returns:

- (`Symbol`) —

  the default output format (:html).

    24

    # File 'lib/yard/cli/yardoc.rb', line 24

    default_attr :format, :html

### #onefile ⇒ `Boolean`

Returns whether the data should be rendered in a single page, if the template supports it.

Returns:

- (`Boolean`) —

  whether the data should be rendered in a single page, if the template supports it.

    28

    # File 'lib/yard/cli/yardoc.rb', line 28

    default_attr :onefile, false

### #serializer ⇒ `Serializers::Base`

Returns the default serializer for generating output to disk.

Returns:

- (`Serializers::Base`) —

  the default serializer for generating output to disk.

    21

    # File 'lib/yard/cli/yardoc.rb', line 21

    default_attr :serializer, lambda { Serializers::FileSystemSerializer.new }

### #title ⇒ `String`

Returns the default title appended to each generated page.

Returns:

- (`String`) —

  the default title appended to each generated page

    14

    # File 'lib/yard/cli/yardoc.rb', line 14

    default_attr :title, "Documentation by YARD #{YARD::VERSION}"

### #verifier ⇒ `Verifier`

Returns the default verifier object to filter queries.

Returns:

- (`Verifier`) —

  the default verifier object to filter queries

    17

    # File 'lib/yard/cli/yardoc.rb', line 17

    default_attr :verifier, lambda { Verifier.new }